module.exports = {
  extends: ['airbnb-typescript/base'],
  env: {
    browser: true,
    node: true,
  },
  parser: '@typescript-eslint/parser',
  parserOptions: {
    project: './tsconfig.json',
    createDefaultProgram: true,
    ecmaVersion: 2020,
    sourceType: 'module',
  },
  plugins: ['@typescript-eslint/eslint-plugin'],
  rules: {
    'no-console': 'off',
    'import/no-cycle': 'off',
    'no-restricted-syntax': 'off',
    'max-len': [2, 140, 4, { ignoreUrls: true }],
    'class-methods-use-this': 'off',
    'no-await-in-loop': 'off',
    'object-curly-newline': 'off',
    'arrow-body-style': 'off',
    'arrow-parens': 'off',
    'no-plusplus': 'off',
    'prefer-destructuring': 'off',
    'import/no-extraneous-dependencies': 'off',
    'newline-before-return': 'error',
    'operator-linebreak': 'off',
    '@typescript-eslint/no-empty-function': 'off',
    'no-multiple-empty-lines': ['error', { max: 1, maxEOF: 0 }],
    'import/extensions': 'off',
  },
  ignorePatterns: ['node_modules', 'dist', 'coverage', '.github'],
};
